/*---------------------------------------------------------------------------*/
/*   BOP   */
/*
   *************   INCLUDE:   errcodes.h   ***************
*/

/*  DESCRIPTION:
     error code definitions for GeoFEST finite element program
*/
/*   EOP   */
/*---------------------------------------------------------------------------*/
/*
***                           File errcodes.h                     ***
***                        GeoFEST version 4.5
*** Copyright (c) 2003, California Institute of Technology        ***
*** U.S.Sponsorship under NASA Contract NAS7-1260 is acknowledged ***
***
*** This software is designated for public release under JPL Task ***
*** Plan Number 83-6791 and may be publicly released after        ***
*** approval for release has been granted by GSFC Software        ***
*** Release  Authority
***
***/
/*
***GeoFEST version 4.5***
G. A. Lyzenga -- unified parallel/serial version and bug fixes 11/17/03
G. A. Lyzenga -- split node enhancements 8/16/02
G. A. Lyzenga -- modification to correctly relax hydrostatic stresses 6/15/00
J. W. Parker -- 3D support and deleted hypercube branches 9/16/98
G. A. Lyzenga  -- last modified on 3/03/95
Modification history:
2.1: fixes bug in boundary velocities and changes
     the way stresses are output.
2.2: implements split node faults
2.3: adds pass-thru comments
3.0: 3-D tetrahedra supported, hypercube branches deleted
3.1: hydrostatic relaxation changes
4.0: name change from visco to GeoFEST; correct implementation of 2-D out-of-
     plane stresses as well as hydrostatic relaxation; culling of remaining 
     vestiges of hypercube stuff; one code without recompilation for both
     2-D and 3-D domains
4.1: Introduction of trilinear hexahedral bricks and PCG iterative solver option
4.2: Bug fixes; standard source prologues added (June 02)
4.3: Corrects inefficiency in split node algorithm and introduces new
     split node input format
4.4: Adds dummy calls to MPI and Pyramid to provide a single unified
     source for parallel and serial codes.  Also introduces a major
     algorithmic enhancement; stress equilibrium maintenance during visco
     elastic stepping for long-term stability.  Also more minor bug fixes.
4.5: Supports surface tractions and roller/spring duo options for tet elements.
     Provides enhanced conjugate gradient convergence monitoring.
 $Log: errcodes.h,v $
 Revision 1.3  2003/02/09 06:10:54  lyzenga
 *** empty log message ***

*/

/*   error code definitions for finite element program   */
#define X_MEM 11
#define AP_MEM 12
#define P_MEM 13
#define R_MEM 14
#define W_MEM 15
#define BAD_TASK 16
#define STRESS_MEM 17
#define BTA_MEM 18
#define DBAR_MEM 19
#define DET_ERR 20
#define MAP_MEM 24
#define CRD_MEM 25
#define ID_MEM 27
#define ACC_MEM 28
#define SEND_MEM 29
#define NEL_ERR 30
#define GEN_ERR 31
#define XRT_RPT 32
#define XRT_LPT 33
#define XRT_LST 34
#define XRT_BIG1A 35
#define XRT_BIG2A 36
#define XRT_BIG1B 37
#define XRT_BIG2B 38
#define XRT_RTE 39
#define IEN_ERR 41
#define NODES_ERR1 42
#define NODES_ERR2 43
#define SING_STF 44
#define MAT_MEM 100
#define IEN_MEM 110
#define LM_MEM 120
#define ELI_MEM 45
#define ELD_MEM 46
#define TGP_MEM 48
#define DIAG_MEM 49
#define PROF_MEM 50
#define SH_MEM 51
#define PSM_MEM 52
#define PCG_MEM 53
#define ELSTIFF_MEM 54
#define SPLIT_MEM 55
#define IVEC_NORM 56
#define SVEC_NORM 57
#define ISVEC_PERP 58
#define FILE_OPEN 59
#define WRONG_SOLVER 60
#define FLOW_CODES 61

